:root{
	--gradientesfondosx:#3F51B5;
	--gradientesfondodx:#00BCD4;
	--sfondoNavbar:		#103f9e5c;
	--sfondoDropdownNavbar: #1a96cf;
	--sfondoFooter:		 #103f9e5c;
	--sfondoBottoneDiBase:#103f9e;
	--hoverSfondoBottoneDiBase:#052769;
	--hoverTastoNavbar:	 #0055ff;
	--coloreLink:		 #0067ff;
	--coloreTesto: 		  #000;
	--sfondoMain: 		#ffffff4d;
	--invertiColoriImg:  0;
	--sfondoContenitore: #f4f6f9;
	--sfondoFooterTemplate: #212c3d;
}

* {
    font-family: "montserrat", sans-serif; /*"ubuntu", sans-serif;*/
  }

body{
	color: var(--coloreTesto);
}

.contenitore{
	color: var(--coloreTesto);
	/*background-image: linear-gradient(to right, var(--gradientesfondosx), var(--gradientesfondodx));*/
	background-color: var(--sfondoContenitore);
	padding-top: 20px;
	padding-bottom: 100px;
}

.sfondo-gradiente {
    background-image: linear-gradient(to right, var(--gradientesfondosx), var(--gradientesfondodx))!important;
}

.sfondo-scuro{
	background-color: #0e3c49;
}

.card{
	color: black;
}

.coloreFooter{
	background-color: var(--sfondoFooterTemplate);
}

.main {
	background-color: var(--sfondoMain);
	border-radius: 10px;
	box-shadow: 0px 8px 16px 0px rgba(0,0,0,0.2);
	padding: 10px;
	text-align: center;
}

.navbar{
	background-color: #475461;	
}


#benvenuto{
	text-align: left;
}
.allineatoSinistra{
	text-align: left;
}
p.main {
	width: 90%;
	margin-left: auto;
	margin-right: auto;
}

/*-----------COOKIE------------*/

#cookie{
	width: 100%;
	min-height: 20px;
	padding: 15px;
	text-align: center;
	background-color:var(--sfondoBottoneDiBase);
	position: fixed;
	bottom: 0px;
	z-index: 2;
	color: white;
}
#cookie a{
	color: white;
}

#accettaCookies{
	border-radius: 5px;
	background-Color: #1e9463;
	color: white;
	border-color: #165239;
	padding: 5px 15px;
	font-weight: bold;
    font-size: 1.5em;
}
#accettaCookies:hover{
	background-Color: #27a772;
	border-color: #27a772;
}


/*-------FINE COOKIE------------*/

/*--------- COLONNE RIGHE -------------*/

.testuale{
	padding: 5px;
    background-color: #0babcf29;
    margin: 20px;
}
.testuale ul{
	max-width: 700px;
	line-height: 1.5;
}

.main {
	width: 80%;
	max-width: 500px;
	min-width: 300px;

	background-color: var(--sfondoMain);
	border-radius: 20px;
	box-shadow: 0px 8px 16px 0px rgba(0,0,0,0.2);

	margin-right: auto;
	margin-left: auto;
	margin-bottom: 100px;
	padding: 10px;

	text-align: center;
}

@keyframes float {
        0% {
            /* box-shadow: 0 5px 15px 0px rgba(0,0,0,0.6); */
            transform: translatey(0px);
        }

        50% {
            /* box-shadow: 0 25px 15px 0px rgba(0,0,0,0.2); */
            transform: translatey(-20px);
        }

        100% {
            /* box-shadow: 0 5px 15px 0px rgba(0,0,0,0.6); */
            transform: translatey(0px);
        }
}

.droneSvolazzino {
    transform: translatey(0px);
    animation: float 6s ease-in-out infinite;
    max-width: 250px;
}

.centro-schermo{
	margin: 0;
	position: absolute;
	top: 50%;
	left: 50%;
	-ms-transform: translate(-50%, -50%);
	transform: translate(-50%, -50%);
}

.centrato{	
	display: flex;
	justify-content: center;
	align-items: center;
}
.colonna .centrato{
	margin-top: 0px;
    flex: 1;
    margin: 10px;
    min-width: 300px;
}
#centrato{	
	display: flex;
	justify-content: center;
	align-items: center;
}
#home{
	max-width: 1050px;
	width: 90%;
}
/*.colonna .inside{
	margin-top: 0px;
	flex: 1;
	padding: 10px;
	min-width: 300px;
}*/
.colonna {
	/*margin-top: 200px;
	/*column-count: 2;
	/*position: relative;*/
	display: flex;
	
	flex-wrap: wrap;
	
	justify-content: center;
	/*align-items: center;*/
}

.colonna .main {
	margin-top: 0px;
	flex: 1;
	margin: 10px;
	
	min-width: 300px;	
}

.griglia {
	display: flex;
	flex-wrap: wrap;
	justify-content: center;
}
.griglia .main {
	margin: 10px;
	min-width: 350px;
	flex: 1;
}
/*
@media screen and (min-width: 1400px) {
	.griglia{
		margin-left: 100px;
		margin-right: 100px;
	}
	.griglia .main{
		min-width: 380px;
	}
}
*/
.massimaLarghezza{
	display: flex;
	flex-direction: column;
	flex: 1;
	max-width: 500px;
}
.massimaLarghezza .main{
	width: auto;
	margin-left: 0px;
	margin-right: 0px;
}

@media screen and (max-width: 500px) {
  .colonna .main{
	flex-direction: column;
	margin-left: auto;
	margin-right: auto;
	/*column-count: 1;*/}
  .main{
	  width: auto;
  }
}



#benvenuto{
	text-align: left;
}
.allineatoSinistra{
	text-align: left;
}
p.main {
	width: 90%;
	margin-left: auto;
	margin-right: auto;
}

/*-----------FINE COLONNE RIGHE -------*/


/*----------------- formattazione FORM --------------*/
input.di_base, select.di_base, form.di_base select, form.di_base input, textarea.di_base{
  	width: 80%;
  	padding: 5px;
 	 margin: 4px;
}
.di_base label{
    font-weight: bolder;
    font-size: smaller;
}
.btnRevisione{
	padding: 5px;
	margin: 4px;
	min-width: 20%;
	width: 140px;
	background-color: #99ccff;
	border: 1px solid white;
	border-radius:5px;
	color: white;
}
.btnRevisione:hover{
	background-color: #000000;
	cursor: pointer;
	opacity: 0.6;
}
a.di_base, button.di_base, form.di_base input[type=submit]{
	display: inline-block;
	width: 60%;
	max-width: 500px;
	padding: 10px;
	background-color:var(--sfondoBottoneDiBase);	/*#99ccff;*/
	margin-top: 6px;
	border: 1px;	/* solid white*/
	border-radius:10px;
	color: white;
	font-size: 20px;
	font-style: normal;
	font-weight: normal;
}

a.di_base {
	text-decoration: none;
}

a.di_base:hover, button:hover.di_base, form.di_base input[type=submit]:hover{
	background-color: var(--hoverSfondoBottoneDiBase); /*#0055ff;*/
	cursor: pointer;
}
/*------------fine      formattazione FORM --------------*/

/*-----------------      classifica migliori utenti -----------*/
.podio{
	display: flex;
	justify-content: center;
	align-items: flex-end;
	overflow-x:auto;
}
.migliori{
	min-width: 80px;
	max-width: 120px;
	margin: 5px;
	min-height: 95px;
	/*padding: 5px 20px;*/
	border: 1px solid grey;
	background: #19da89cb;	/*rgba(76, 175, 80, 0.3);*/
	display: inline-block;
	/*writing-mode: vertical-rl;
	text-orientation: mixed;
	font-weight: bold;
	font-size: 25px;*/
	text-align: center;
	
	position: relative;
}
/*.migliori p{
	position: absolute;
	top: 0px;
	border: 1px solid grey;
}*/
.dettagli{
	font-size: 10px;
}
/*----------------- fine classifica migliori utenti -----------*/

/*Usato in mieSegnalazioni.php*/
.inlineblock{
	display: inline-block;
	width: 80%;
	margin: 10px;
}

/*------------------ mieiEsami.php e Esami recenti in index.php --------------*/
.esami_fatti{
	display: inline-block;
	position: relative;
	border: 1px solid grey;
	width: 280px;
	margin-left: auto;
	margin-right: auto;
	padding: 20px;
	margin: 10px;
	text-align: center;
	font-weight: bold;
	font-size: 20px;
	color: white;
}
.bocciato{
	background: #da1919cb;
}
.superato{
	background: #19da89cb; /*rgba(76, 175, 80, 0.3);*/
}
.composizioneSalvata{
	border: 2px solid white;
}
.composizioneAssente{
	cursor: auto;
}
.spanPercentuale{
	position: absolute;
    transform: translate(-50%, -50%);
}
#titolo_esami_fatti{
	border: 0px solid grey;
	background: white;
	font-weight: normal;
	font-size: 16px;
}
.boxSxRecordEsame{
	position: absolute;
	left: 4px;
	transform: translate(0, -50%);
	display: flex;
	align-items: center;
}
.idEsame{
	
	font-size: small;
}
.punteggio{
	position: absolute;
	right: 4px;
	transform: translate(0, -50%);
	font-size: small;
    white-space: pre;
    text-align: right;
}
/*------------fine   mieiEsami.php e Esami recenti in index.php --------------*/


.banner {
	background: rgb(115, 228, 40); 
	font-style: italic; 
	color: rgb(7, 114, 34); 
	width: 80%; 
	margin-left: auto; 
	margin-right: auto; 
	padding: 10px; 
	margin-bottom: 20px; 
	font-size: 12px;
}

.TabellaStatistiche tr:nth-child(odd){
	background-color: var(--sfondoNavbar);
}
.TabellaStatistiche {
	padding: 20px;
}
.tabellaComparativa th, td{
	width:100px;
}
.tabellaComparativa th {
	padding: 10px;
}
.tabellaComparativa td:nth-child(3){
	background-image: linear-gradient(to right, rgb(64, 209, 35) , rgb(2, 116, 2));
}
.yuppa {
	background-image: linear-gradient(to right, rgb(64, 209, 35) , rgb(2, 116, 2));
}
.partial{
	background-image: linear-gradient(to right, rgb(238, 240, 114) , rgb(255, 166, 0));
}
.nope{
	background-image: linear-gradient(to right, rgb(255, 0, 0) , rgb(116, 2, 2));
}
.alert {
	padding: 30px;
	margin: 10px;
	background-color: #f10101;
	color: #FFFFFF;
	border-radius: 20px;
}
.messaggio{
	padding: 15px;
	margin: 20px;
	background-color: #25af43;
	color: #FFFFFF;
	border-radius: 20px;
}

.donatori{
	margin: 10px; 
	min-width: 100px; 
	padding: 10px; 
	background-color: #ff9800; 
	color: white;
	overflow-x: hidden;
    white-space: nowrap;
}

.div-donatori{
	display: flex; 
	flex-wrap: wrap;
	justify-content: center;
}

.linkBlocco{
	display: block;
	text-decoration: none;
	margin: 10px;
	padding: 10px;
	background-color: #475571;
	color: white;
	border-radius: 10px;
	width: 80%;
	margin-left: auto;
	margin-right: auto;
}

.imgBadge{
	width: 128px;
	height: 128px;
	filter:invert(var(--invertiColoriImg));
}

.imgLogoAzienda{
	width: 80px;
	margin-right: 15px;
	filter:invert(var(--invertiColoriImg));
}

.avviso{
	text-align: center;
    margin-bottom: 50px;
    padding: 10px;
    font-size: smaller;
    color: white;
    background-color: #3f51b55c;
}